selenium 提示错误: Passthrough is not supported, GL is swiftshader

2021年5月11日 Jerry 9139 2021年7月1日

最近chrome浏览器自动升级了90版本,结果发现selenium不能用了,启动时提示错误:[0511/201330.149:ERROR:gpu_init.cc(426)] Passthrough is not supported, GL is swiftshader

webdriver内核的版本是90版本,chrome版本也是没有错误的,但是依然启动不起来。

网上搜索了好久也没找到什么原因,也没找到什么解决办法。

最后没办法,把 chrome浏览器重新降级到了89版本,用上了89版本的内核。。。😫。。


后来小伙伴们找到了如下的解决办法:

  • 使用chromedriver时,一般都需要指定--headless--disable-gpu参数,可以不显示浏览器的窗口,如果不使用这两个选项,则不会出现错误消息。
  • 可以使用--disable-software-rasterizer 参数,禁用 WebGL,在不显示窗口的模式下,也不显示错误消息。

大家可以尝试下解决问题。


最后附上 chrome 内核下载 镜像地址:https://npm.taobao.org/mirrors/chromedriver/

指定版本的 chrome浏览器下载地址:https://www.chromedownloads.net/chrome64win-stable/


原创文章,转载请注明出处: https://jerrycoding.com/article/seleniumerr2

微信
jerry微信赞助
支付宝
jerry支付宝赞助

您尚未登录,暂时无法评论。请先 登录 或者 注册

0 人参与 | 0 条评论